#!/bin/sh
restic snapshots > /dev/null || restic init || exit 0
restic backup $RESTIC_PARAMS $BACKUP_PATHS || exit 0
restic forget --verbose --group-by "paths,tags" --keep-daily $RETENTION_DAYS --keep-weekly $RETENTION_WEEKS --keep-monthly $RETENTION_MONTHS --keep-yearly $RETENTION_YEARS

